为什么不能执行rpm命令???

为当前最终发行版之前的所有版本提供支持
回复
nyyjy010
帖子: 9
注册时间: 2006-06-23 21:16
送出感谢: 0
接收感谢: 0

为什么不能执行rpm命令???

#1

帖子 nyyjy010 » 2006-06-24 1:50

wawa@ubuntu:~/mysoft$ rpm ivh rf-xim-input-2.0-2.i386.rpm
bash: rpm: command not found
wawa@ubuntu:~/mysoft$



怎么了?难道我没装什么包??
我刚把系统升级到最新的!
我用的是ubuntu6.06 !
头像
zhan
帖子: 1880
注册时间: 2005-08-15 0:04
来自: 南7技校
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 zhan » 2006-06-24 2:13

rpm是 FC, RH等发行版的包管理方式,在 Ubuntu中是用的 deb的管理方式,你应该下载 ***.deb的包,然后用 sudo dpkg -i ***.deb来安装。不过一般的软件包的话,在 源里面都有的,配置好sources.list后,只需要执行 sudo apt-get install ***就可以安装这个软件。
建议楼主兄弟看看这里: http://wiki.ubuntu.org.cn/%E5%BF%AB%E9% ... apperDrake
飞得高,飞得低,学习再学习,多少大秘密!
http://zhan.blog.ubuntu.org.cn
头像
yang_hui1986527
帖子: 888
注册时间: 2006-03-04 23:10
来自: 江西高安
送出感谢: 0
接收感谢: 2 次
联系:

#3

帖子 yang_hui1986527 » 2006-06-24 9:20

sudo apt-get install alien
下面的帖子应该对你有用
viewtopic.php?t=16871&highlight=rpm
QQ:273247606
EMAIL:yanghui1986527@gmail.com
头像
freeflying
论坛版主
帖子: 521
注册时间: 2005-03-26 9:38
送出感谢: 0
接收感谢: 0

#4

帖子 freeflying » 2006-07-04 22:21

再次申明,初学者不要使用alien转的包,会有一大堆问题,直接使用rpm更要不得。切记!
图片
85783388
帖子: 52
注册时间: 2006-04-15 21:31
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 85783388 » 2006-07-05 10:58

那是RH原创的命令,在ubuntu下应该用APT-GET
回复

回到 “老旧版本支持”